This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 457597 - (CVE-2008-1232) CVE-2008-1232 tomcat: Cross-Site-Scripting enabled by sendError call
CVE-2008-1232 tomcat: Cross-Site-Scripting enabled by sendError call
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://tomcat.apache.org/security-6.html
source=asf,public=20080801,reported=2...
: Security
Depends On: 457727 457728 458088 458089 458097 458099 458100 458443 458444 458445 460125 460126 460127 460131 460132 470238 470239
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-01 14:09 EDT by Marc Schoenefeld
Modified: 2016-03-04 06:03 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-03 02:55:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marc Schoenefeld 2008-08-01 14:09:20 EDT
The message argument of HttpServletResponse.sendError() call is not only
displayed on the error page, but is also used for the reason-phrase of HTTP
response. This may include characters that are illegal in HTTP headers. It is
possible for a specially crafted message to result in arbitrary content being
injected into the HTTP response. For a successful XSS attack, unfiltered user
supplied data must be included in the message argument.
Comment 1 Tomas Hoger 2008-08-04 02:29:11 EDT
Public now via: http://tomcat.apache.org/security-6.html
Comment 2 Tomas Hoger 2008-08-04 02:48:02 EDT
Also affects older Tomcat versions:
  http://tomcat.apache.org/security-5.html
  http://tomcat.apache.org/security-4.html
Comment 4 Marc Schoenefeld 2008-08-04 12:02:11 EDT
Patch available here:

http://svn.apache.org/viewvc?rev=680947&view=rev
Comment 12 Fedora Update System 2008-09-05 13:10:49 EDT
tomcat6-6.0.18-1.1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tomcat6-6.0.18-1.1.fc9
Comment 13 Fedora Update System 2008-09-11 13:17:32 EDT
tomcat6-6.0.18-1.1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-09-15 14:12:12 EDT
tomcat5-5.5.27-0jpp.1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/tomcat5-5.5.27-0jpp.1.fc8
Comment 15 Fedora Update System 2008-09-15 16:13:49 EDT
tomcat5-5.5.27-0jpp.2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tomcat5-5.5.27-0jpp.2.fc9
Comment 16 Fedora Update System 2008-09-15 16:16:21 EDT
tomcat5-5.5.27-0jpp.2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/tomcat5-5.5.27-0jpp.2.fc8
Comment 17 Fedora Update System 2008-09-16 19:24:51 EDT
tomcat5-5.5.27-0jpp.2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2008-09-16 19:28:18 EDT
tomcat5-5.5.27-0jpp.2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 errata-xmlrpc 2010-08-04 17:31:09 EDT
This issue has been addressed in following products:

  Red Hat Certificate System 7.3

Via RHSA-2010:0602 https://rhn.redhat.com/errata/RHSA-2010-0602.html

Note You need to log in before you can comment on or make changes to this bug.